> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reqlick.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve usage

> Retrieve all usage for the authenticated workspace



## OpenAPI

````yaml GET /users/usage
openapi: 3.0.0
info:
  title: Reqlick API
  version: 1.0.0
  description: Reqlick API Documentation
servers:
  - url: https://api.reqlick.com
security:
  - bearerAuth: []
tags:
  - name: Documents
    description: Documents management
  - name: Domains
    description: Domains management
  - name: GoogleAuth
    description: Google Authentication
  - name: Links
    description: Links management
  - name: Payments
    description: Payments management
  - name: QRCodes
    description: QR Codes management
  - name: Resources
    description: Resources management
  - name: Subscriptions
    description: Subscription management
  - name: Users
    description: User management and authentication
  - name: Workspaces
    description: Workspaces management
paths:
  /users/usage:
    get:
      tags:
        - Users
      summary: Get user usage
      responses:
        '200':
          description: User usage information
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: 1110580a82031111aaa03333
                  plan:
                    type: string
                    example: FREE
                    readOnly: true
                    enum:
                      - FREE
                      - PRO
                  billingCycleStart:
                    type: string
                    nullable: true
                    example: null
                  stripeId:
                    type: string
                    example: cus_11253
                  domainsLimit:
                    type: integer
                    example: 1000
                  projectsLimit:
                    type: integer
                    example: 100
                  usersLimit:
                    type: integer
                    example: 100
                  stockageLimit:
                    type: integer
                    example: 5368709120
                  clicksLimit:
                    type: integer
                    example: 1000000
                  shortLinksLimit:
                    type: integer
                    example: 1000000
                  qrCodeLinksLimit:
                    type: integer
                    example: 1000000
                  retentionLimit:
                    type: string
                    example: RE_30_DAY
                  fileAvailabilityLimit:
                    type: string
                    example: FA_7_DAY
                  createdAt:
                    type: string
                    format: date-time
                    example: '2024-01-01T20:15:00.385Z'
                  projects:
                    type: array
                    items:
                      type: object
                      properties:
                        members:
                          type: array
                          items:
                            type: object
                            properties:
                              email:
                                type: string
                                nullable: true
                                example: null
                              userId:
                                type: string
                                example: 1110580a82031111aaa03333
                        _count:
                          type: object
                          properties:
                            views:
                              type: integer
                              example: 0
                            domains:
                              type: integer
                              example: 1
                        usage:
                          type: array
                          items:
                            type: object
                            properties:
                              snap_document_size:
                                type: string
                                example: '220637'
                  _count:
                    type: object
                    properties:
                      projects:
                        type: integer
                        example: 4
                  projectUsage:
                    type: integer
                    example: 4
                  domainsUsage:
                    type: integer
                    example: 4
                  clicksUsage:
                    type: integer
                    example: 43
                  shortLinksUsage:
                    type: integer
                    nullable: false
                    example: 2
                  qrCodeLinksUsage:
                    type: integer
                    example: 0
                  storageUsage:
                    type: integer
                    example: 244281
                  seatsUsage:
                    type: integer
                    example: 4
                  isPaid:
                    type: boolean
                    example: true
        '401':
          description: Authentication Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Authentication Error
                  feedback:
                    type: string
                    example: You are unauthenticated!
        '500':
          description: Internal server error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````